Name:           libsysactivity
Version:        0.5.4
Release:        2%{?dist}
Summary:        Library for retrieving statistics of the system`s activity

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/libsysactivity/
Source0:        http://downloads.sourceforge.net/project/%{name}/0.5.x/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen cmake

%description
A lightweight library that retrieves statistics of the system's activity in a 
portable and thread safe way. In each OS that it supports it offers the same 
API for retrieving the activity of: hard disks, CPUs, memory, processes and 
network interfaces.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make -C %{_target_platform} %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install  -C %{_target_platform} DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/cmake/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.4-1
- libsysactivity 0.5.4

* Sun Jun 20 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.3-1
- libsysactivity 0.5.3

* Thu Apr 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.1-2
- fixed summary

* Wed Apr 14 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.1-1
- initial fedora release
